import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes: [
    {
      path: '/',
      name: 'index',
      component: () => import('../views/index.vue'),
    },
    {
      path: '/list',
      name: 'list',
      component: () => import('../views/list.vue'),
    },
    {
      path: '/detail',
      name: 'detail',
      component: () => import('../views/detail.vue'),
    },
    {
      path: '/memberList',
      name: 'memberList',
      component: () => import('../views/memberList.vue'),
    },
    {
      path: '/memberDetail',
      name: 'memberDetail',
      component: () => import('../views/memberDetail.vue'),
    },
    {
      path: '/newsList/:type/:id',
      name: 'newsList',
      component: () => import('../views/newsList.vue'),
    },
    {
      path: '/aboutMe',
      name: 'aboutMe',
      component: () => import('../views/aboutMe.vue'),
    },
  ],
});
